Documentation Mercado Libre
Check out all the necessary information about APIs Mercado Libre.
Documentation
Manage your applications
Application details
To access full details about one of your applications, put the app_id in the API request.
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/applications/$APP_ID
Example::
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/applications/12345
Response:
{
"id": 213123928883922,
"site_id": "MLB",
"thumbnail": null,
"url": "http://apps.mercadolivre.com.br/polipartes",
"sandbox_mode": true,
"project_id":null,
"active": true,
"max_requests_per_hour": 18000,
"certification_status": "not_certified"
}
Private data of your application
Every time you want to know more details of your application data, you will have to do it using the Access Token of the user with which it was created.
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/applications/$APP_ID
Example:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/applications/12345
Authorized applications by user
To access all authorized applications by a user, do a GET with the user_id and the access token.
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/users/$USER_ID/applications
Exemple:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/users/26317316/applications
The response will be a set of applications with the following format:
[
- {
"user_id": "26317316",
"app_id": "13795",
"date_created": "2012-12-20T15:38:27.000-04:00",
"scopes": - [
"read",
"write",
],
},
]
Users who gave permissions to your application
To access the list of users who gave permissions to your app, perform the following GET:
Exemple:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/applications/$APP_ID/grants
Response:
{
"paging": {
"total": 1,
"limit": 50,
"offset": 0
},
"grants": [
{
"user_id": {user_id},
"app_id": {app_id},
"date_created": "2012-05-19T01:00:54.000-04:00",
"scopes": [
"read",
"offline_access",
"write"
]
}
]
}
Fields description
- user_id: user_id: user identifier.
- app_id: application identifier.
- date_created: date the authorization was created.
- scopes: permissions granted to the application: read, write and offline_access.
Considerations
In the DevCenter, from the "Manage permissions" screen, you can view and export the list of Grants that the application has.
These are the possible statuses for the integration permissions:
- New: Grant generated less than 24 hours ago.
- Active: user with active usage of our APIs in the last 90 days.
- Inactive: user considered inactive, as there have been no calls to resources in our MeLi ecosystem in the last 90 days.
Revoke user authorization
To remove a user's authorization to your application, you must specify the app_id, user_id and their access token. To do this, do a DELETE as shown in the example below:
curl -X DELETE -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/users/$USER_ID/applications/$APP_ID
The response should be:
{
"user_id":"{user_id}",
"app_id":"{app_id}",
"msg":"Autorización eliminada"
}
Your application's consumption metrics
To access the details of all MeLi resource consumption from your application, simply perform the following GET:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/applications/v1/$APP_ID/consumed-applications?date_start=2025-08-01&date_end=2025-08-20
Response:
{
"app_id": 5555737222442288,
"total_request": 3773948444,
"request_by_status": [
... // JSON remains unchanged
],
"top_apis_consumed": [
{
"resource_id": "read.items-visits",
"resource_name": "METRICS",
"hierarchy1": "VISITS",
"hierarchy2": "ITEM_USER_VISITS",
"percentage_request_successful": 94.4858993
},
{
"resource_id": "public-read.items-prices-api",
"resource_name": "PUBLIC_SYNCHRONIZE",
"hierarchy1": "PRICES",
"hierarchy2": "CHECK_PRICES",
"percentage_request_successful": 99.6489243
},
{
"resource_id": "items-public.multigetapi",
"resource_name": "PUBLIC_SYNCHRONIZE",
"hierarchy1": "ITEMS",
"hierarchy2": "MULTIGET_SEARCH",
"percentage_request_successful": 99.952714
},
{
"resource_id": "public.pc-open-platform-api",
"resource_name": "COMMUNICATION",
"hierarchy1": "CLAIMS",
"hierarchy2": "RETURN_DETAILS",
"percentage_request_successful": 91.8956306
},
{
"resource_id": "public.pc-open-platform-api",
"resource_name": "COMMUNICATION",
"hierarchy1": "CLAIMS",
"hierarchy2": "RETURN_DETAILS",
"percentage_request_successful": 0.0014296
},
{
"resource_id": "public.shipping-mandatory-api",
"resource_name": "SALES_SHIPMENTS",
"hierarchy1": "SHIPMENT_COSTS_SLA",
"hierarchy2": "CHECK_SHIPMENT_COSTS",
"percentage_request_successful": 99.8737551
},
{
"resource_id": "public.shipping-shipments-api",
"resource_name": "SALES_SHIPMENTS",
"hierarchy1": "MERCADO_SHIPMENTS",
"hierarchy2": "MANAGE_SHIPMENTS",
"percentage_request_successful": 99.9241283
},
{
"resource_id": "public-postsale-read.supply-messages-gateway",
"resource_name": "MESSAGING",
"hierarchy1": "REASONS",
"hierarchy2": "CHECK_REASONS_AND_MESSAGES_BY_ID",
"percentage_request_successful": 99.8578694
}
],
"top_apis_consumed_error": [
{
"resource_id": "public.pc-open-platform-api",
"errors_by_resource_id": 9272595,
"resource_name": "COMMUNICATION",
"hierarchy1": "CLAIMS",
"hierarchy2": "RETURN_DETAILS",
"percentage_errors": 8.1029398
},
{
"resource_id": "read.items-visits",
"errors_by_resource_id": 4200509,
"resource_name": "METRICS",
"hierarchy1": "VISITS",
"hierarchy2": "ITEM_USER_VISITS",
"percentage_errors": 5.5141007
},
{
"resource_id": "public-read.items-prices-api",
"errors_by_resource_id": 2041039,
"resource_name": "PUBLIC_SYNCHRONIZE",
"hierarchy1": "PRICES",
"hierarchy2": "CHECK_PRICES",
"percentage_errors": 0.3510757
},
{
"resource_id": "public-postsale-read.supply-messages-gateway",
"errors_by_resource_id": 135181,
"resource_name": "MESSAGING",
"hierarchy1": "REASONS",
"hierarchy2": "CHECK_REASONS_AND_MESSAGES_BY_ID",
"percentage_errors": 0.1421306
},
{
"resource_id": "public.shipping-mandatory-api",
"errors_by_resource_id": 912460,
"resource_name": "SALES_SHIPMENTS",
"hierarchy1": "SHIPMENT_COSTS_SLA",
"hierarchy2": "CHECK_SHIPMENT_COSTS",
"percentage_errors": 0.1262449
},
{
"resource_id": "public.shipping-shipments-api",
"errors_by_resource_id": 600915,
"resource_name": "SALES_SHIPMENTS",
"hierarchy1": "MERCADO_SHIPMENTS",
"hierarchy2": "MANAGE_SHIPMENTS",
"percentage_errors": 0.0758717
},
{
"resource_id": "items-public.multigetapi",
"errors_by_resource_id": 376990,
"resource_name": "PUBLIC_SYNCHRONIZE",
"hierarchy1": "ITEMS",
"hierarchy2": "MULTIGET_SEARCH",
"percentage_errors": 0.047286
}
]
}
Considerations
- The date parameter is optional. If not included, the resource returns the consumption data for the last 15 days.
- The information is updated as D-1, meaning you will always have consumption data up to the day before the current date.
- We recommend that searches be performed using monthly intervals rather than very large ranges, because due to the amount of data, the search may take a long time and result in a “timeout” error.